org.apache.ignite.internal

## Class UnregisteredBinaryTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.UnregisteredBinaryTypeException

All Implemented Interfaces:
  Serializable

    public class UnregisteredBinaryTypeException
    extends IgniteException

Exception thrown during serialization if binary metadata isn't registered and it's registration isn't allowed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnregisteredBinaryTypeException(int typeId, BinaryMetadata binaryMetadata)`
`UnregisteredBinaryTypeException(String msg, int typeId, BinaryMetadata binaryMetadata)`
`UnregisteredBinaryTypeException(String msg, Throwable cause, int typeId, BinaryMetadata binaryMetadata)`
`UnregisteredBinaryTypeException(Throwable cause, int typeId, BinaryMetadata binaryMetadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BinaryMetadata` `binaryMetadata()`
`int` `typeId()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnregisteredBinaryTypeException

    public UnregisteredBinaryTypeException(int typeId,
                                           BinaryMetadata binaryMetadata)

Parameters:
  `typeId` - Type ID.
  `binaryMetadata` - Binary metadata.

#### UnregisteredBinaryTypeException

    public UnregisteredBinaryTypeException(String msg,
                                           int typeId,
                                           BinaryMetadata binaryMetadata)

Parameters:
  `msg` - Error message.
  `typeId` - Type ID.
  `binaryMetadata` - Binary metadata.

#### UnregisteredBinaryTypeException

    public UnregisteredBinaryTypeException(Throwable cause,
                                           int typeId,
                                           BinaryMetadata binaryMetadata)

Parameters:
  `cause` - Non-null throwable cause.
  `typeId` - Type ID.
  `binaryMetadata` - Binary metadata.

#### UnregisteredBinaryTypeException

    public UnregisteredBinaryTypeException(String msg,
                                           @Nullable
                                           Throwable cause,
                                           int typeId,
                                           BinaryMetadata binaryMetadata)

Parameters:
  `msg` - Error message.
  `cause` - Non-null throwable cause.
  `typeId` - Type ID.
  `binaryMetadata` - Binary metadata.

### Method Detail

#### typeId

    public int typeId()

Returns:
  Type ID.

#### binaryMetadata

    public BinaryMetadata binaryMetadata()

Returns:
  Binary metadata.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019